"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.cleanStyle = cleanStyle;
exports.getRNStylesFromShikiStyle = getRNStylesFromShikiStyle;
var _cssToReactNative = _interopRequireDefault(require("css-to-react-native"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const ALLOWED_STYLE_PROPERTIES = {
  color: true,
  background: true,
  backgroundColor: true,
  fontWeight: true,
  fontStyle: true
};
function getRNStylesFromShikiStyle(theme) {
  return Object.fromEntries(Object.entries(theme).map(([className, style]) => [className, cleanStyle(style)]));
}
function cleanStyle(style) {
  const styles = Object.entries(style).filter(([key]) => ALLOWED_STYLE_PROPERTIES[key]).map(([key, value]) => [key, value]);
  return (0, _cssToReactNative.default)(styles);
}
//# sourceMappingURL=style.js.map